## libbpp-seq 2.3.1

=== CMakeLists.txt ===
# CMake script for Bio++ Sequence library
# Authors:
#   Sylvain Gaillard
#   Julien Dutheil
#   Francois Gindraud (2017)
# Created: 20/08/2009

cmake_minimum_required (VERSION 2.8.11)
project (bpp-seq CXX)

# Compile options
set (CMAKE_CXX_FLAGS "-std=c++11 -Wall -Weffc++ -Wshadow -Wconversion")

IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

IF(NOT NO_DEP_CHECK)
  SET(NO_DEP_CHECK FALSE CACHE BOOL
      "Disable dependencies check for building distribution only."
      FORCE)
ENDIF(NOT NO_DEP_CHECK)

IF(NO_DEP_CHECK)
  MESSAGE("-- Dependencies checking disabled. Only distribution can be built.")
ELSE(NO_DEP_CHECK)

# Libtool-like version number
# CURRENT:REVISION:AGE => file.so.(C-A).A.R
# current:  The most recent interface number that this library implements.
# revision: The implementation number of the current interface.
# age:      The difference between the newest and oldest interfaces that this
#           library implements.
# In other words, the library implements all the interface numbers in the
# range from number current - age to current.
SET(${PROJECT_NAME}_VERSION_CURRENT "11")
SET(${PROJECT_NAME}_VERSION_REVISION "0")
SET(${PROJECT_NAME}_VERSION_AGE "0")

# Effective version number computation
MATH(EXPR ${PROJECT_NAME}_VERSION_MAJOR "${${PROJECT_NAME}_VERSION_CURRENT} - ${${PROJECT_NAME}_VERSION_AGE}")
SET(${PROJECT_NAME}_VERSION_MINOR ${${PROJECT_NAME}_VERSION_AGE})
SET(${PROJECT_NAME}_VERSION_PATCH ${${PROJECT_NAME}_VERSION_REVISION})
SET(${PROJECT_NAME}_VERSION "${${PROJECT_NAME}_VERSION_MAJOR}.${${PROJECT_NAME}_VERSION_MINOR}.${${PROJECT_NAME}_VERSION_PATCH}")

set (PROJECT_VERSION ${${PROJECT_NAME}_VERSION})

# Find dependencies (add install directory to search)
if (CMAKE_INSTALL_PREFIX)
  set (CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}" ${CMAKE_PREFIX_PATH})
endif (CMAKE_INSTALL_PREFIX)

include (GNUInstallDirs)
find_package (bpp-core 3.0.0 REQUIRED)

# CMake package
set (cmake-package-location ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
include (CMakePackageConfigHelpers)
configure_package_config_file (
  package.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/package.cmake
  INSTALL_DESTINATION ${cmake-package-location}
  )
write_basic_package_version_file (
  ${CMAKE_CURRENT_BINARY_DIR}/package-version.cmake
  VERSION ${PROJECT_VERSION}
  COMPATIBILITY SameMajorVersion
  )
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/package.cmake DESTINATION ${cmake-package-location}
  RENAME ${PROJECT_NAME}-config.cmake)
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/package-version.cmake DESTINATION ${cmake-package-location}
  RENAME ${PROJECT_NAME}-config-version.cmake)

# Define the libraries
add_subdirectory (src)

# Doxygen
FIND_PACKAGE(Doxygen)
IF (DOXYGEN_FOUND)
  ADD_CUSTOM_TARGET (apidoc cp Doxyfile ${CMAKE_BINARY_DIR}/Doxyfile-build
    COMMAND echo "OUTPUT_DIRECTORY=${CMAKE_BINARY_DIR}" >> ${CMAKE_BINARY_DIR}/Doxyfile-build
    COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile-build
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
  ADD_CUSTOM_TARGET (apidoc-stable cp Doxyfile ${CMAKE_BINARY_DIR}/Doxyfile-stable
    COMMAND echo "OUTPUT_DIRECTORY=${CMAKE_BINARY_DIR}" >> ${CMAKE_BINARY_DIR}/Doxyfile-stable
    COMMAND echo "HTML_HEADER=header.html" >> ${CMAKE_BINARY_DIR}/Doxyfile-stable
    COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile-stable
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
ENDIF (DOXYGEN_FOUND)

ENDIF(NO_DEP_CHECK)

# Packager
SET(CPACK_PACKAGE_NAME "libbpp-seq")
SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
SET(CPACK_PACKAGE_VERSION "2.3.1")
SET(CPACK_PACKAGE_VERSION_MAJOR "2")
SET(CPACK_PACKAGE_VERSION_MINOR "3")
SET(CPACK_PACKAGE_VERSION_PATCH "1")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Sequence library")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")
SET(CPACK_RESOURCE_FILE_INSTALL "${CMAKE_SOURCE_DIR}/INSTALL.txt")
SET(CPACK_SOURCE_GENERATOR "TGZ")
# /!\ This assumes that an external build is used
SET(CPACK_SOURCE_IGNORE_FILES 
       "/build/" 
       "/\\\\.git/" 
       "/\\\\.gitignore" 
       ${CPACK_SOURCE_IGNORE_FILES}
       )

SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
SET(CPACK_DEBSOURCE_PACKAGE_FILE_NAME "lib${CMAKE_PROJECT_NAME}_${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}.orig")
INCLUDE(CPack)

#This adds the 'dist' target
ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

IF(NOT NO_DEP_CHECK)
IF (UNIX)

#This creates rpm packages:
ADD_CUSTOM_TARGET(rpm rpmbuild -ta ${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.gz)
ADD_DEPENDENCIES(rpm dist)

ENDIF()

SET(CTEST_UPDATE_TYPE git)
SET(UPDATE_COMMAND "git")
SET(UPDATE_OPTIONS "")

# Tests
enable_testing ()
include (CTest)
if (BUILD_TESTING)
  add_subdirectory (test)
endif (BUILD_TESTING)

ENDIF(NOT NO_DEP_CHECK)

=== test/CMakeLists.txt ===
# CMake script for bpp-seq unit tests
# Authors:
#   Julien Dutheil
#   Francois Gindraud (2017)
# Created: 30/10/2010

# Add all tests.
# Any .cpp file in test/ is considered to be a test.
# It will be compiled as a standalone program (must contain a main()).
# A test is considered to succeed if it returns EXIT_SUCCESS (usually 0).
# Tests are linked to the the shared library target.

file (GLOB test_cpp_files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.cpp)
foreach (test_cpp_file ${test_cpp_files})
  # Add each test (named as the filename without extension)
  get_filename_component (test_name ${test_cpp_file} NAME_WE)
  add_executable (${test_name} ${test_cpp_file})
  target_link_libraries (${test_name} ${PROJECT_NAME}-shared)
  add_test (
    NAME ${test_name}
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND ${test_name}
    )
endforeach (test_cpp_file)

=== debian/changelog ===
libbpp-seq (2.3.1-8) unstable; urgency=medium

  * Rebuild with gcc-7
  * Standards-Version: 4.0.1

 -- Andreas Tille <tille@debian.org>  Wed, 23 Aug 2017 19:38:40 +0200

libbpp-seq (2.3.1-7) unstable; urgency=medium

  [ Julien Dutheil ]
  * Make tests work on 32 bits archs (enabled position independent code).
  * Do not override debian default CXX flags.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Wed, 09 Aug 2017 15:54:52 +0200

libbpp-seq (2.3.1-6) unstable; urgency=medium

  * Increased timeout threshold for Bowker test to pass on all arch.
  * Removed postins scripts.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 17 Jul 2017 22:29:29 +0200

libbpp-seq (2.3.1-5) unstable; urgency=medium

  [ Julien Dutheil ]
  * Removed unused class VectorProbabilisticSiteContainer

  [ Andreas Tille ]
  * debhelper 10

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 13 Jul 2017 08:52:31 +0200

libbpp-seq (2.3.1-4) unstable; urgency=medium

  * do not install broken header (Thanks for the patch to Steve Langasek
    <steve.langasek@canonical.com>)
    Closes: #866069
  * d-shlibs (>= 0.80) contains needed override

 -- Andreas Tille <tille@debian.org>  Tue, 27 Jun 2017 08:35:18 +0200

libbpp-seq (2.3.1-3) unstable; urgency=medium

  * cmake files belong to /usr/lib/$(DEB_HOST_MULTIARCH)
    Closes: #865529
  * hardening=+all
  * do not ignore test failures
  * Standards-Version: 4.0.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2017 21:52:59 +0200

libbpp-seq (2.3.1-2) unstable; urgency=medium

  * Make sure cmake files will be installed also on i386

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2017 07:58:04 +0200

libbpp-seq (2.3.1-1) unstable; urgency=medium

  * New upstream version
  * d/watch: point to github

 -- Andreas Tille <tille@debian.org>  Tue, 13 Jun 2017 13:35:29 +0200

=== debian/control ===
Source: libbpp-seq
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake,
               d-shlibs (>= 0.80),
               libbpp-core-dev (>= 2.3.1)
Standards-Version: 4.0.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libbpp-seq.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/libbpp-seq.git
Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page

Package: libbpp-seq-dev
Architecture: any
Section: libdevel
Depends: libbpp-seq11 (= ${binary:Version}),
         ${misc:Depends},
         libbpp-core-dev (>= 2.3.1)
Description: Bio++ Sequence library development files
 Bio++ is a set of C++ libraries for Bioinformatics, including sequence
 analysis, phylogenetics, molecular evolution and population genetics.
 Bio++ is Object Oriented and is designed to be both easy to use and
 computer efficient. Bio++ intends to help programmers to write computer
 expensive programs, by providing them a set of re-usable tools.
 .
 This package contains the static library and the header files of Bio++
 classes for sequence analysis classes.

Package: libbpp-seq11
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libbpp-core3 (>= 2.3.1)
Description: Bio++ Sequence library
 Bio++ is a set of C++ libraries for Bioinformatics, including sequence
 analysis, phylogenetics, molecular evolution and population genetics.
 Bio++ is Object Oriented and is designed to be both easy to use and
 computer efficient. Bio++ intends to help programmers to write computer
 expensive programs, by providing them a set of re-usable tools.
 .
 This package contains the Bio++ classes for sequence analysis.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CMAKE_EXTRA_FLAGS += -DBUILD_TESTING=OFF

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_install:
	# Broken header, don't install (if we do, the postinst will pull it
	# into generic include files)
	rm -f debian/tmp/usr/include/Bpp/Seq/Container/VectorProbabilisticSiteContainer.h
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
                    --movedev debian/tmp/usr/include/* usr/include \
                    --movedev debian/tmp/usr/lib/*/cmake usr/lib/$(DEB_HOST_MULTIARCH) \
                    debian/tmp/usr/lib/*/*.so

## libbpp-seq 2.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -35,7 +35,7 @@
 #           library implements.
 # In other words, the library implements all the interface numbers in the
 # range from number current - age to current.
-SET(${PROJECT_NAME}_VERSION_CURRENT "11")
+SET(${PROJECT_NAME}_VERSION_CURRENT "12")
 SET(${PROJECT_NAME}_VERSION_REVISION "0")
 SET(${PROJECT_NAME}_VERSION_AGE "0")
 
@@ -53,7 +53,7 @@
 endif (CMAKE_INSTALL_PREFIX)
 
 include (GNUInstallDirs)
-find_package (bpp-core 3.0.0 REQUIRED)
+find_package (bpp-core 4.0.0 REQUIRED)
 
 # CMake package
 set (cmake-package-location ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
@@ -95,10 +95,10 @@
 # Packager
 SET(CPACK_PACKAGE_NAME "libbpp-seq")
 SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
-SET(CPACK_PACKAGE_VERSION "2.3.1")
+SET(CPACK_PACKAGE_VERSION "2.4.0")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
-SET(CPACK_PACKAGE_VERSION_MINOR "3")
-SET(CPACK_PACKAGE_VERSION_PATCH "1")
+SET(CPACK_PACKAGE_VERSION_MINOR "4")
+SET(CPACK_PACKAGE_VERSION_PATCH "0")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Sequence library")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
 SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")
@@ -107,6 +107,8 @@
 # /!\ This assumes that an external build is used
 SET(CPACK_SOURCE_IGNORE_FILES 
        "/build/" 
+       "/html/" 
+       "/BppSeq.tag/" 
        "/\\\\.git/" 
        "/\\\\.gitignore" 
        ${CPACK_SOURCE_IGNORE_FILES}

=== debian/changelog ===
libbpp-seq (2.4.0-2) unstable; urgency=medium

  [ Julien Dutheil ]
  * Provide symbols file only for amd64
  
  [ Andreas Tille ]
  * Provide full license text of CeCILL license

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Sun, 08 Apr 2018 08:04:59 +0200

libbpp-seq (2.4.0-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * New upstream version

  [ Andreas Tille ]
  * Add symbols file

 -- Andreas Tille <tille@debian.org>  Sun, 25 Mar 2018 14:14:44 +0100

libbpp-seq (2.3.2-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * New upstream version

  [ Andreas Tille ]
  * Standards-Version: 4.1.3
  * cme fix dpkg-control
  * debhelper 11

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 05 Feb 2018 17:36:38 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                cmake,
                d-shlibs (>= 0.80),
-               libbpp-core-dev (>= 2.3.1)
-Standards-Version: 4.0.1
+               libbpp-core-dev (>= 2.4.0)
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libbpp-seq.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/libbpp-seq.git
 Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page
@@ -16,9 +16,9 @@
 Package: libbpp-seq-dev
 Architecture: any
 Section: libdevel
-Depends: libbpp-seq11 (= ${binary:Version}),
+Depends: libbpp-seq12 (= ${binary:Version}),
          ${misc:Depends},
-         libbpp-core-dev (>= 2.3.1)
+         libbpp-core-dev (>= 2.4.0)
 Description: Bio++ Sequence library development files
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.
@@ -29,14 +29,14 @@
  This package contains the static library and the header files of Bio++
  classes for sequence analysis classes.
 
-Package: libbpp-seq11
+Package: libbpp-seq12
 Architecture: any
+Multi-Arch: same
 Section: libs
-Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libbpp-core3 (>= 2.3.1)
+         libbpp-core4 (>= 2.4.0)
+Pre-Depends: ${misc:Pre-Depends}
 Description: Bio++ Sequence library
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.

## libbpp-seq 2.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -95,10 +95,10 @@
 # Packager
 SET(CPACK_PACKAGE_NAME "libbpp-seq")
 SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
-SET(CPACK_PACKAGE_VERSION "2.4.0")
+SET(CPACK_PACKAGE_VERSION "2.4.1")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
 SET(CPACK_PACKAGE_VERSION_MINOR "4")
-SET(CPACK_PACKAGE_VERSION_PATCH "0")
+SET(CPACK_PACKAGE_VERSION_PATCH "1")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Sequence library")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
 SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")

=== src/CMakeLists.txt ===
# CMake script for Bio++ Sequence Library
# Authors:
#   Sylvain Gaillard
#   Julien Dutheil
#   Francois Gindraud (2017)
# Created: 20/08/2009

# File list
SET(CPP_FILES
  Bpp/Seq/Alphabet/AbstractAlphabet.cpp
  Bpp/Seq/Alphabet/AlphabetExceptions.cpp
  Bpp/Seq/Alphabet/AlphabetTools.cpp
  Bpp/Seq/Alphabet/BinaryAlphabet.cpp
  Bpp/Seq/Alphabet/CaseMaskedAlphabet.cpp
  Bpp/Seq/Alphabet/CodonAlphabet.cpp
  Bpp/Seq/Alphabet/DNA.cpp
  Bpp/Seq/Alphabet/DefaultAlphabet.cpp
  Bpp/Seq/Alphabet/IntegerAlphabet.cpp
  Bpp/Seq/Alphabet/LetterAlphabet.cpp
  Bpp/Seq/Alphabet/LexicalAlphabet.cpp
  Bpp/Seq/Alphabet/NumericAlphabet.cpp
  Bpp/Seq/Alphabet/ProteicAlphabet.cpp
  Bpp/Seq/Alphabet/RNA.cpp
  Bpp/Seq/Alphabet/RNY.cpp
  Bpp/Seq/Alphabet/WordAlphabet.cpp
  Bpp/Seq/AlphabetIndex/AAIndex1Entry.cpp
  Bpp/Seq/AlphabetIndex/AAIndex2Entry.cpp
  Bpp/Seq/AlphabetIndex/BLOSUM50.cpp
  Bpp/Seq/AlphabetIndex/DefaultNucleotideScore.cpp
  Bpp/Seq/AlphabetIndex/GranthamAAChemicalDistance.cpp
  Bpp/Seq/AlphabetIndex/MiyataAAChemicalDistance.cpp
  Bpp/Seq/AlphabetIndex/SimpleScore.cpp
  Bpp/Seq/AlphabetIndex/__BLOSUM50MatrixCode
  Bpp/Seq/AlphabetIndex/__GranthamMatrixCode
  Bpp/Seq/AlphabetIndex/__MiyataMatrixCode
  Bpp/Seq/App/SequenceApplicationTools.cpp
  Bpp/Seq/CodonSiteTools.cpp
  Bpp/Seq/Container/AbstractSequenceContainer.cpp
  Bpp/Seq/Container/AlignedSequenceContainer.cpp
  Bpp/Seq/Container/CompressedVectorSiteContainer.cpp
  Bpp/Seq/Container/MapSequenceContainer.cpp
  Bpp/Seq/Container/SequenceContainerIterator.cpp
  Bpp/Seq/Container/SequenceContainerTools.cpp
  Bpp/Seq/Container/SiteContainerExceptions.cpp
  Bpp/Seq/Container/SiteContainerIterator.cpp
  Bpp/Seq/Container/SiteContainerTools.cpp
  Bpp/Seq/Container/VectorSequenceContainer.cpp
  Bpp/Seq/Container/VectorSiteContainer.cpp
  Bpp/Seq/DNAToRNA.cpp
  Bpp/Seq/DistanceMatrix.cpp
  Bpp/Seq/GeneticCode/AscidianMitochondrialGeneticCode.cpp
  Bpp/Seq/GeneticCode/EchinodermMitochondrialGeneticCode.cpp
  Bpp/Seq/GeneticCode/GeneticCode.cpp
  Bpp/Seq/GeneticCode/InvertebrateMitochondrialGeneticCode.cpp
  Bpp/Seq/GeneticCode/MoldMitochondrialGeneticCode.cpp
  Bpp/Seq/GeneticCode/StandardGeneticCode.cpp
  Bpp/Seq/GeneticCode/VertebrateMitochondrialGeneticCode.cpp
  Bpp/Seq/GeneticCode/YeastMitochondrialGeneticCode.cpp
  Bpp/Seq/Io/BppOAlignmentReaderFormat.cpp
  Bpp/Seq/Io/BppOAlignmentWriterFormat.cpp
  Bpp/Seq/Io/BppOAlphabetIndex1Format.cpp
  Bpp/Seq/Io/BppOAlphabetIndex2Format.cpp
  Bpp/Seq/Io/BppOSequenceReaderFormat.cpp
  Bpp/Seq/Io/BppOSequenceStreamReaderFormat.cpp
  Bpp/Seq/Io/BppOSequenceWriterFormat.cpp
  Bpp/Seq/Io/Clustal.cpp
  Bpp/Seq/Io/Dcse.cpp
  Bpp/Seq/Io/Fasta.cpp
  Bpp/Seq/Io/GenBank.cpp
  Bpp/Seq/Io/IoSequenceFactory.cpp
  Bpp/Seq/Io/Mase.cpp
  Bpp/Seq/Io/MaseTools.cpp
  Bpp/Seq/Io/NexusIoSequence.cpp
  Bpp/Seq/Io/NexusTools.cpp
  Bpp/Seq/Io/PhredPhd.cpp
  Bpp/Seq/Io/PhredPoly.cpp
  Bpp/Seq/Io/Phylip.cpp
  Bpp/Seq/Io/Stockholm.cpp
  Bpp/Seq/Io/StreamSequenceIterator.cpp
  Bpp/Seq/NucleicAcidsReplication.cpp
  Bpp/Seq/Sequence.cpp
  Bpp/Seq/SequenceExceptions.cpp
  Bpp/Seq/SequencePositionIterators.cpp
  Bpp/Seq/SequenceTools.cpp
  Bpp/Seq/SequenceWalker.cpp
  Bpp/Seq/SequenceWithAnnotation.cpp
  Bpp/Seq/SequenceWithAnnotationTools.cpp
  Bpp/Seq/SequenceWithQuality.cpp
  Bpp/Seq/SequenceWithQualityTools.cpp
  Bpp/Seq/Site.cpp
  Bpp/Seq/SiteExceptions.cpp
  Bpp/Seq/SiteTools.cpp
  Bpp/Seq/StringSequenceTools.cpp
  Bpp/Seq/SymbolList.cpp
  Bpp/Seq/SymbolListTools.cpp
  Bpp/Seq/Transliterator.cpp
  )

# Build the static lib
add_library (${PROJECT_NAME}-static STATIC ${CPP_FILES})
target_include_directories (${PROJECT_NAME}-static PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
  $<INSTALL_INTERFACE:$<INSTALL_PREFIX>/${CMAKE_INSTALL_INCLUDEDIR}>
  )
set_target_properties (${PROJECT_NAME}-static PROPERTIES OUTPUT_NAME ${PROJECT_NAME})
target_link_libraries (${PROJECT_NAME}-static ${BPP_LIBS_STATIC})

# Build the shared lib
add_library (${PROJECT_NAME}-shared SHARED ${CPP_FILES})
target_include_directories (${PROJECT_NAME}-shared PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
  $<INSTALL_INTERFACE:$<INSTALL_PREFIX>/${CMAKE_INSTALL_INCLUDEDIR}>
  )
set_target_properties (${PROJECT_NAME}-shared
  PROPERTIES OUTPUT_NAME ${PROJECT_NAME}
  MACOSX_RPATH 1
  VERSION ${${PROJECT_NAME}_VERSION}
  SOVERSION ${${PROJECT_NAME}_VERSION_MAJOR}
  )
target_link_libraries (${PROJECT_NAME}-shared ${BPP_LIBS_SHARED})

# Install libs and headers
install (
  TARGETS ${PROJECT_NAME}-static ${PROJECT_NAME}-shared
  EXPORT ${PROJECT_NAME}-targets
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}
  )
install (
  DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/Bpp
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
  FILES_MATCHING PATTERN "*.h"
  )
# Install cmake file representing targets
install (EXPORT ${PROJECT_NAME}-targets DESTINATION ${cmake-package-location})

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -16,9 +16,11 @@
   get_filename_component (test_name ${test_cpp_file} NAME_WE)
   add_executable (${test_name} ${test_cpp_file})
   target_link_libraries (${test_name} ${PROJECT_NAME}-shared)
+  set_target_properties (${test_name} PROPERTIES POSITION_INDEPENDENT_CODE TRUE)
   add_test (
     NAME ${test_name}
     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
     COMMAND ${test_name}
     )
+  set_tests_properties (${test_name} PROPERTIES TIMEOUT 60000)
 endforeach (test_cpp_file)

=== debian/changelog ===
libbpp-seq (2.4.1-7) unstable; urgency=medium

  * Really fix symbols file

 -- Andreas Tille <tille@debian.org>  Fri, 22 Oct 2021 07:26:58 +0200

libbpp-seq (2.4.1-6) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Fix ftbfs with gcc-11
    Closes: #984094

 -- Andreas Tille <tille@debian.org>  Mon, 11 Oct 2021 10:35:48 +0200

libbpp-seq (2.4.1-5) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license GPL-2+.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update symbols for gcc-10
    Closes: #957428

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jul 2020 11:33:45 +0200

libbpp-seq (2.4.1-4) unstable; urgency=medium

  * Rebuild for new version of gcc to fix symbols
    Closes: #925736
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Set upstream metadata fields: Contact, Name.

 -- Andreas Tille <tille@debian.org>  Tue, 20 Aug 2019 16:07:58 +0200

libbpp-seq (2.4.1-3) unstable; urgency=medium

  * Rebuild for new version of gcc to fix symbols
    Closes: #923954
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Thu, 07 Mar 2019 18:56:16 +0100

libbpp-seq (2.4.1-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Andreas Tille ]
  * Fix symbols file
    Closes: #915342
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Mon, 03 Dec 2018 08:15:45 +0100

libbpp-seq (2.4.1-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * New upstream version
    Closes: #897784

  [ Andreas Tille ]
  * Standards-Version: 4.2.0

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Sun, 19 Aug 2018 11:45:47 +0200

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,22 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                cmake,
-               d-shlibs (>= 0.80),
-               libbpp-core-dev (>= 2.4.0)
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libbpp-seq.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libbpp-seq.git
+               d-shlibs,
+               libbpp-core-dev
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/med-team/libbpp-seq
+Vcs-Git: https://salsa.debian.org/med-team/libbpp-seq.git
 Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page
+Rules-Requires-Root: no
 
 Package: libbpp-seq-dev
 Architecture: any
 Section: libdevel
 Depends: libbpp-seq12 (= ${binary:Version}),
          ${misc:Depends},
-         libbpp-core-dev (>= 2.4.0)
+         libbpp-core-dev
 Description: Bio++ Sequence library development files
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.
@@ -35,7 +36,7 @@
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libbpp-core4 (>= 2.4.0)
+         libbpp-core4
 Pre-Depends: ${misc:Pre-Depends}
 Description: Bio++ Sequence library
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence

=== debian/watch ===
version=4

https://github.com/BioPP/bpp-seq/releases .*/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
